View Issue Details

IDProjectCategoryView StatusLast Update
0001236Main CAcert Websiteaccount administrationpublic2014-04-15 22:01
ReporterWerner Dworak Assigned ToNEOatNHNG  
PriorityurgentSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Product Version2014 Q1 
Target Version2014 Q2Fixed in Version2014 Q1 
Summary0001236: Security questions rejected invalid on adding middle name
DescriptionWhen adding an additional middle name to an existing account with non-US characters in the security questions they get rejected.
Steps To Reproduce1. Create an account with special characters in the security questions, but only first name and last name filled in.
2. Try to add a middle name on that account.
Additional InformationCf. s20140104.70

Example account see comment 4487
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

INOPIAE

2014-01-06 08:30

updater   ~0004488

I pushed a fix to https://github.com/INOPIAE/CAcert/commit/41f47a449c77f14f44e2cf073b2ffa951e57787d

Eva

2014-01-07 22:50

updater   ~0004490

I created a new account with 0 assurances.

I added a middle name and removed it with pw-questions hidden.
I changed the birthdate, added and removed a middle name with pw-questions shown.

Everything worked and was displayed correctly afterwards.
=> ok

INOPIAE

2014-01-08 00:13

updater   ~0004493

test with 0 point account:

change personal data without secret Q & A open => ok
change secret Q & A => ok

test with 150 point account:

change personal data without secret Q & A open => not availabe => ok
change secret Q & A => ok

=> ok

Eva

2014-01-08 00:24

updater   ~0004494

I used the same account with 0 assurances for the following:

I added a middle name and suffix and changed the date, with pw-questions hidden. Afterwards I undid that changes with pw-questions hidden.

I added a middle name and suffix and changed the date, with pw-questions shown. Afterwards I undid that changes with pw-questions shown.

I changed pw-questions and answers (and changed them back afterwards).

Everything worked and was displayed correctly afterwards.
-> ok

I used an account with assurances and tried the same.

I never could change names or birthdate on this account.
I had no problems to change pw-questions or answers.
-> ok

=> ok

INOPIAE

2014-01-08 00:25

updater   ~0004495

please review as at least 2 tests where successful

MartinGummi

2014-01-08 00:33

updater   ~0004498

Last edited: 2014-01-08 00:36

View 3 revisions

account with 0

change Middle Name
change of Q & A works -> ok

account with full assured (PoJAM account)

change of Q & A works -> ok

=> ok

NEOatNHNG

2014-01-08 01:04

administrator   ~0004500

Second review OK. Ready to deploy.

NEOatNHNG

2014-01-14 23:11

administrator   ~0004510

Mail sent to critical admins.

wytze

2014-01-15 15:42

developer   ~0004521

The fix has been installed on the production server on January 15, 2014. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2014-01/msg00002.html

Issue History

Date Modified Username Field Change
2014-01-05 19:24 BenBE New Issue
2014-01-05 19:24 BenBE Assigned To => INOPIAE
2014-01-05 19:26 BenBE Reporter BenBE => Werner Dworak
2014-01-05 19:26 BenBE Status new => needs work
2014-01-05 19:27 BenBE Additional Information Updated View Revisions
2014-01-06 08:30 INOPIAE Note Added: 0004488
2014-01-06 08:30 INOPIAE Assigned To INOPIAE => BenBE
2014-01-06 08:30 INOPIAE Status needs work => fix available
2014-01-07 20:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 9d7efb91
2014-01-07 20:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 3855113d
2014-01-07 20:50 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 41f47a44
2014-01-07 22:41 BenBE Reviewed by => BenBE
2014-01-07 22:41 BenBE Status fix available => needs review & testing
2014-01-07 22:50 Eva Note Added: 0004490
2014-01-08 00:05 BenBE Source_changeset_attached => cacert-devel testserver-stable 2ce07d02
2014-01-08 00:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 3a661bf6
2014-01-08 00:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 80d94e82
2014-01-08 00:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0fcd48bf
2014-01-08 00:13 INOPIAE Note Added: 0004493
2014-01-08 00:24 Eva Note Added: 0004494
2014-01-08 00:25 INOPIAE Note Added: 0004495
2014-01-08 00:25 INOPIAE Assigned To BenBE => NEOatNHNG
2014-01-08 00:25 INOPIAE Status needs review & testing => needs review
2014-01-08 00:33 MartinGummi Note Added: 0004498
2014-01-08 00:35 MartinGummi Note Edited: 0004498 View Revisions
2014-01-08 00:36 MartinGummi Note Edited: 0004498 View Revisions
2014-01-08 01:04 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2014-01-08 01:04 NEOatNHNG Note Added: 0004500
2014-01-08 01:04 NEOatNHNG Status needs review => ready to deploy
2014-01-14 23:11 NEOatNHNG Note Added: 0004510
2014-01-15 00:30 NEOatNHNG Source_changeset_attached => cacert-devel release 9064664e
2014-01-15 15:42 wytze Note Added: 0004521
2014-01-15 15:42 wytze Status ready to deploy => solved?
2014-01-15 15:42 wytze Fixed in Version => 2014 Q1
2014-01-15 15:42 wytze Resolution open => fixed
2014-04-15 22:01 INOPIAE Status solved? => closed